package cz.zcu.kiv.db.model.vyzkum;

import java.util.Date;
import java.util.List;

import cz.zcu.kiv.db.model.PopisnaEntita;
import cz.zcu.kiv.db.model.publikace.Publikace;

public class Grant extends PopisnaEntita {

    private UcastNaGrantu _ucastNaGrantu;
    private List<UcastNaGrantu> ucastNaGrantu;
    private TypGrantu typGrantu;
    private List<Skupina> vyzkumneSkupiny;
    private List<Publikace> publikace;
    private String infoCz;
    private String infoEn;
    private String url;
    private Date zahajeni;
    private String trvani;
    private long dotace;
    private String mena;
    private String cisloProjektu;
    private boolean kivHlavniResitel;
    //private boolean aktivni ???? neni identicke s atributem aktivni?

    public List<UcastNaGrantu> getClenstviVeVyzkumu() {
        return ucastNaGrantu;
    }

    public void setClenstviVeVyzkumu(List<UcastNaGrantu> val) {
        this.ucastNaGrantu = val;
    }

    public List<Publikace> getPublikace() {
        return publikace;
    }

    public void setPublikace(List<Publikace> val) {
        this.publikace = val;
    }

    public TypGrantu getTypGrantu() {
        return typGrantu;
    }

    public void setTypGrantu(TypGrantu val) {
        this.typGrantu = val;
    }

    public List<Skupina> getVyzkumneSkupiny() {
        return vyzkumneSkupiny;
    }

    public void setVyzkumneSkupiny(List<Skupina> val) {
        this.vyzkumneSkupiny = val;
    }

    public String getInfoCz() {
        return infoCz;
    }

    public void setInfoCz(String infoCz) {
        this.infoCz = infoCz;
    }

    public String getInfoEn() {
        return infoEn;
    }

    public void setInfoEn(String infoEn) {
        this.infoEn = infoEn;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getZahajeni() {
        return zahajeni;
    }

    public void setZahajeni(Date zahajeni) {
        this.zahajeni = zahajeni;
    }

    public String getTrvani() {
        return trvani;
    }

    public void setTrvani(String trvani) {
        this.trvani = trvani;
    }

    public long getDotace() {
        return dotace;
    }

    public void setDotace(long dotace) {
        this.dotace = dotace;
    }

    public String getMena() {
        return mena;
    }

    public void setMena(String mena) {
        this.mena = mena;
    }

    public String getCisloProjektu() {
        return cisloProjektu;
    }

    public void setCisloProjektu(String cisloProjektu) {
        this.cisloProjektu = cisloProjektu;
    }

    public boolean isKivHlavniResitel() {
        return kivHlavniResitel;
    }

    public void setKivHlavniResitel(boolean kivHlavniResitel) {
        this.kivHlavniResitel = kivHlavniResitel;
    }

}

