
package cz.zcu.kiv.db.dao.jdbc;

import cz.zcu.kiv.db.dao.OsobaDao;
import cz.zcu.kiv.db.model.osoby.Osoba;

import java.beans.PropertyEditorSupport;


/**
 *
 * @author Radek Muzika
 */
public class OsobaEditor extends PropertyEditorSupport {

    private final OsobaDao _osobaDao;

	public OsobaEditor(OsobaDao osobaDao) {
		this._osobaDao = osobaDao;
	}

	@Override
	public void setAsText(String text) throws IllegalArgumentException {
		Osoba osoba = _osobaDao.getOsoba(Integer.parseInt(text));
        if(osoba!=null) this.setValue(osoba);
	}
    
    
}
